org.sqlite

## Enum SQLiteErrorCode

- java.lang.Object
- - java.lang.Enum<SQLiteErrorCode>
  - - org.sqlite.SQLiteErrorCode

All Implemented Interfaces:
  Serializable, Comparable<SQLiteErrorCode>

    public enum SQLiteErrorCode
    extends Enum<SQLiteErrorCode>

SQLite3 error code

Author:
  leo
See Also:
  http://www.sqlite.org/c3ref/c_abort.html

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`SQLITE_ABORT`
`SQLITE_AUTH`
`SQLITE_BUSY`
`SQLITE_CANTOPEN`
`SQLITE_CONSTRAINT`
`SQLITE_CORRUPT`
`SQLITE_DONE`
`SQLITE_EMPTY`
`SQLITE_ERROR`
`SQLITE_FORMAT`
`SQLITE_FULL`
`SQLITE_INTERNAL`
`SQLITE_INTERRUPT`
`SQLITE_IOERR`
`SQLITE_LOCKED`
`SQLITE_MISMATCH`
`SQLITE_MISUSE`
`SQLITE_NOLFS`
`SQLITE_NOMEM`
`SQLITE_NOTADB`
`SQLITE_NOTFOUND`
`SQLITE_OK`
`SQLITE_PERM`
`SQLITE_PROTOCOL`
`SQLITE_RANGE`
`SQLITE_READONLY`
`SQLITE_ROW`
`SQLITE_SCHEMA`
`SQLITE_TOOBIG`
`UNKNOWN_ERROR`

### Field Summary

Fields
`int` `code`
`String` `message`

### Method Summary

Methods
`static SQLiteErrorCode` `getErrorCode(int errorCode)`
`String` `toString()`
`static SQLiteErrorCode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SQLiteErrorCode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNKNOWN_ERROR

    public static final SQLiteErrorCode UNKNOWN_ERROR

#### SQLITE_OK

    public static final SQLiteErrorCode SQLITE_OK

#### SQLITE_ERROR

    public static final SQLiteErrorCode SQLITE_ERROR

#### SQLITE_INTERNAL

    public static final SQLiteErrorCode SQLITE_INTERNAL

#### SQLITE_PERM

    public static final SQLiteErrorCode SQLITE_PERM

#### SQLITE_ABORT

    public static final SQLiteErrorCode SQLITE_ABORT

#### SQLITE_BUSY

    public static final SQLiteErrorCode SQLITE_BUSY

#### SQLITE_LOCKED

    public static final SQLiteErrorCode SQLITE_LOCKED

#### SQLITE_NOMEM

    public static final SQLiteErrorCode SQLITE_NOMEM

#### SQLITE_READONLY

    public static final SQLiteErrorCode SQLITE_READONLY

#### SQLITE_INTERRUPT

    public static final SQLiteErrorCode SQLITE_INTERRUPT

#### SQLITE_IOERR

    public static final SQLiteErrorCode SQLITE_IOERR

#### SQLITE_CORRUPT

    public static final SQLiteErrorCode SQLITE_CORRUPT

#### SQLITE_NOTFOUND

    public static final SQLiteErrorCode SQLITE_NOTFOUND

#### SQLITE_FULL

    public static final SQLiteErrorCode SQLITE_FULL

#### SQLITE_CANTOPEN

    public static final SQLiteErrorCode SQLITE_CANTOPEN

#### SQLITE_PROTOCOL

    public static final SQLiteErrorCode SQLITE_PROTOCOL

#### SQLITE_EMPTY

    public static final SQLiteErrorCode SQLITE_EMPTY

#### SQLITE_SCHEMA

    public static final SQLiteErrorCode SQLITE_SCHEMA

#### SQLITE_TOOBIG

    public static final SQLiteErrorCode SQLITE_TOOBIG

#### SQLITE_CONSTRAINT

    public static final SQLiteErrorCode SQLITE_CONSTRAINT

#### SQLITE_MISMATCH

    public static final SQLiteErrorCode SQLITE_MISMATCH

#### SQLITE_MISUSE

    public static final SQLiteErrorCode SQLITE_MISUSE

#### SQLITE_NOLFS

    public static final SQLiteErrorCode SQLITE_NOLFS

#### SQLITE_AUTH

    public static final SQLiteErrorCode SQLITE_AUTH

#### SQLITE_FORMAT

    public static final SQLiteErrorCode SQLITE_FORMAT

#### SQLITE_RANGE

    public static final SQLiteErrorCode SQLITE_RANGE

#### SQLITE_NOTADB

    public static final SQLiteErrorCode SQLITE_NOTADB

#### SQLITE_ROW

    public static final SQLiteErrorCode SQLITE_ROW

#### SQLITE_DONE

    public static final SQLiteErrorCode SQLITE_DONE

### Field Detail

#### code

    public final int code

#### message

    public final String message

### Method Detail

#### values

    public static SQLiteErrorCode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SQLiteErrorCode c : SQLiteErrorCode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SQLiteErrorCode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getErrorCode

    public static SQLiteErrorCode getErrorCode(int errorCode)

Parameters:
  `errorCode` - Error code.
Returns:
  Error message.

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<SQLiteErrorCode>`
See Also:
  `Enum.toString()`